petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecMTDotEnd

Ends a split phase transpose multiple dot product computation.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecMTDotEnd(Vec x,PetscInt nv,const Vec y[],PetscScalar result[])

### Input Parameters

| x | - the first vector (can be NULL) Many br
| nv | - number of vectors Many br
| y | - array of vectors (can be NULL) Many br

Output Parameters Many br

result -where the result will go Many br

Many br

### Notes

Each call to VecTDotBegin() should be paired with a call to VecTDotEnd(). Many br

### See Also

VecMTDotBegin(), VecNormBegin(), VecNormEnd(), VecNorm(), VecDot(), VecMDot(),
VecDotBegin(), VecDotEnd(), VecMDotBegin(), VecMDotEnd(), PetscCommSplitReductionBegin() Many br

Level:advanced
Location:src/vec/vec/utils/comb.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages